%define current_version 1

%global import_path     github.com/libvirt/libvirt-go

Name:           libvirt-go
Version:        5.6.1.%{current_version}
Release:        1%{?dist}
Summary:        Go bindings for libvirt.
License:        MIT
Group:          Development/Languages/Other
Source0:        %{name}-%{version}.tar.bz2
BuildArch:      noarch

%description
Go bindings for libvirt.

%package    devel
Summary:    %{summary}
BuildArch:  noarch
Provides:   golang-libvirt-go-devel

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{import_path} prefix.

%prep
%setup -qn %{name}-%{version}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/

echo "%%dir %%{gopath}/src/%%{import_path}/." >> devel.file-list
# find all *.go *.h files and generate devel.file-list
for file in $(find . -iname "*.go" -or -name "*.h") ; do
    echo "%%dir %%{gopath}/src/%%{import_path}/$(dirname $file)" >> devel.file-list
    install -d -p %{buildroot}/%{gopath}/src/%{import_path}/$(dirname $file)
    cp -pav $file %{buildroot}/%{gopath}/src/%{import_path}/$file
    echo "%%{gopath}/src/%%{import_path}/$file" >> devel.file-list
done

%files devel
%defattr(-,root,root,-)
%{gopath}/src/%{import_path}/*.go
%{gopath}/src/%{import_path}/*.h

%changelog
* Fri Nov 27 2020 Nikolay Shirokovskiy <nshirokovskiy@virtuozzo.com> 5.6.1.1-1.vz7
 - initial commit
